1

I am trying to create and EventRelation over API, but I keep getting the following error even though I see EventRelation as available sObject and "Allow Users to Relate Multiple Contacts to Tasks and Events" is enabled under Activity Settings in UI.

Object type 'EventRelation' is not supported. If you are attempting to use a custom object, be sure to append the '__c' after the entity name. Please reference your WSDL or the describe call for the appropriate names.

Is there something else I should enable or should I create these sObjects differently?

| improve this question | | | | |
  • 2
    Are you using API 28.0? Its new and not supported in older api. – dacology Jul 11 '13 at 23:23
  • @dacology I haven't had time to make a full check, but you're right I wasn't using API 28.0. To start using it, I had to change WSDL endpoint for my SOAP requests to include '28.0' instead of previous version number. If you'll format this as an answer -> i'll accept it – antonlitvinenko Jul 11 '13 at 23:35
1

The 'EventRelation' object was introduced in the Summer 13 release and API version 28.0.

If your IDE is not updated you may be defaulting to a previous API version. If you are making direct calls to an endpoint such as rest or Soap you will need to update the url, for example:

Your Rest endpoint may be similar to:

$instance_url/services/data/v28.0/sobjects/EventRelation/

Your Soap endpoint may be similar to:

https://login.salesforce.com/services/Soap/c/28.0/
| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.